### Function

# Gimp Pattern get_by_name

unstable since: 3.0

#### Declaration [src]

    GimpPattern*
    gimp_pattern_get_by_name (
      const gchar* name
    )

#### Description [src]

Returns the pattern with the given name.

Returns the pattern with the given name.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the pattern.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpPattern`

The pattern.

The data is owned by the called function.